Bug 21798 - Kernel RPM not (re)buildable
Summary: Kernel RPM not (re)buildable
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-06 12:29 UTC by Jos Vos
Modified: 2007-04-18 16:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-08 18:27:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jos Vos 2000-12-06 12:29:59 UTC
Kernel rpm 2.2.16-22 can not be rebuild.  Building with --target=i686, for
example, gives the following error messages when compiling the enterprise
kernel:

BUILDING FOR enterprise...
+ make CC=kgcc 'MAKE=make -j 1' -C ibcs/iBCSemul
KERNEL=/tmp/k/rpm/BUILD/linux SMP=yes all
make: Entering directory `/tmp/k/rpm190/BUILD/linux/ibcs/iBCSemul'
kgcc -D__KERNEL__=1 -DMODULE -D__NO_VERSION__ -I../include
-I/tmp/k/rpm/BUILD/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -m486 -DSOCKSYS_MAJOR=30  -DEMU_SCO -DEMU_ISC
-DEMU_SVR4 -DEMU_BSD -DEMU_WYSE -DEMU_WYSEMP -DEMU_SPX -DEMU_XTI
-DEMU_TLI_OPTMGMT -DEMU_BINFMT_AOUT -DEMU_BINFMT_COFF -DEMU_BINFMT_XOUT
-DEMU_BINFMT_OLDSCRIPT -DIBCS_TRACE -DVERBOSE_ERRORS -DCOFF_TRACE
-DELF_TRACE -DXOUT_DEBUG -DMODVERSIONS -include
/tmp/k/rpm/BUILD/linux/include/linux/modversions.h -D__SMP__=1 -c emulate.c
/tmp/k/rpm/BUILD/linux/include/asm/smp.h: In function
`hard_smp_processor_id':
In file included from /tmp/k/rpm/BUILD/linux/include/linux/smp.h:11,
                 from /tmp/k/rpm/BUILD/linux/include/linux/sched.h:20,
                 from /tmp/k/rpm/BUILD/linux/include/asm/uaccess.h:8,
                 from emulate.c:43:
/tmp/k/rpm/BUILD/linux/include/asm/smp.h:209: warning: implicit declaration
of function `GET_APIC_ID'
/tmp/k/rpm/BUILD/linux/include/asm/smp.h:209: `APIC_BASE' undeclared (first
use in this function)
/tmp/k/rpm/BUILD/linux/include/asm/smp.h:209: (Each undeclared identifier
is reported only once
/tmp/k/rpm/BUILD/linux/include/asm/smp.h:209: for each function it appears
in.)
/tmp/k/rpm/BUILD/linux/include/asm/smp.h:209: `APIC_ID' undeclared (first
use in this function)
../include/ibcs/ibcs.h: At top level:
In file included from emulate.c:61:
../include/ibcs/ibcs.h:47: warning: function declaration isn't a prototype
make: *** [emulate.o] Error 1
make: Leaving directory `/tmp/k/rpm190/BUILD/linux/ibcs/iBCSemul'
Bad exit status from /var/tmp/rpm-tmp.10452 (%build)

Comment 1 Danny Sung 2001-01-20 04:37:50 UTC
I get exactly the same problem using just "rpm --rebuild
kernel-2.2.16-22.src.rpm".  I've installed all the RH7 updates as of
01/18/2001.  This is on a K6-300, if that matteres.

Comment 2 Forrest 2001-02-07 22:20:50 UTC
I am getting this same error on a RH 6.2 system with all updates.  The funny 
thing is that it was working on a clean RH 6.2 system with only the new kernel 
2.2.16 updates.  Perhaps it is the new rpm*rpm packages?  I did recompile rpm 
with the fixes from HJ Lu (on bug # 14463).

Comment 3 Mike A. Harris 2002-02-11 13:28:24 UTC
With all erratum applied, does the latest kernel erratum build ok?

Comment 4 Forrest 2002-03-08 18:27:27 UTC
The new kernel RPM builds just fine


Note You need to log in before you can comment on or make changes to this bug.